<?php
/*
    Copyright (C) 2007 Dustin Spicuzza <dustin@virtualroadside.com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" dir="ltr">
<head>
	<title>Random Fortune Chooser</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<script type="text/javascript" src="jquery.js"></script>
	<script type="text/javascript" src="jquery.ajaxSubmit.js"></script>
<script type="text/javascript">
$(document).ready(function () {
	$("form").ajaxSubmit();
});
</script>
</head>
<body>
<p><strong>Disclaimer</strong>: Please, please, please request a potentially 
offensive fortune if and only if  you  believe, deep in your heart, that you are willing to be offended (from the
fortune man page). <strong>You have been warned.</strong></p>

<p>The script that runs this page can be <a href="http://www.virtualroadside.com/software/">downloaded here</a></p>

<form method="post" action="query.php"><?php

	include 'config.php';

	$cow = array("Show Cow Bubbles","Normal");
	$off = array('non-offensive','offensive','all');
	$short = array('Any','Short','Long');
	
	$files = glob("$fortune_dir/*.dat");
	foreach ($files as $k => $v)
		$files[$k] = basename($v,'.dat');
		
	$offensive = glob("$fortune_dir/off/*.dat");
	foreach ($offensive as $k => $v)
		$offensive[$k] = array(basename($v,'.dat'),"Offensive - " . basename($v,'.dat'));	
	
	$files = array_merge($files,$offensive);
	
	echo "<table>";
	echo "<tr><td>Category:</td><td>" . generate_select_from_array('file','',$files,true,'Any Fortune') . "</td></tr>";
	echo "<tr><td>Display:</td><td>" . generate_select_from_array('type','',$cow) . "</td></tr>";
	echo "<tr><td>Length:</td><td>" . generate_select_from_array('short','',$short) . "</td></tr>";
	echo "<tr><td>Offensive:</td><td>" . generate_select_from_array('offensive','',$off) . "</td></tr>";
	echo "</table>";
	

?><br/><input type="submit" />
</form>

	<div id="loading">
	</div>
	<div id="destination">
	</div>
</body>
</html><?php


/*
	generate_select_from_array
	
	$id 			html id of <select> element
	$matchItem 		item to match
	$items			select element value is created from the first element of the array row
					select element text is created from the second element of the array row
	$none			if $none = true, then generate a "None" element
	$nonetxt		Text of the none element
	$onchange		Javascript to execute when the select element changes

*/
function generate_select_from_array($id,$matchItem,$items,$none = false, $nonetxt = "None", $onchange = ''){

	$matched = false;
	$onchange = ($onchange != '' ? " onchange=\"$onchange\" " : '');
	
	$str = "<select name=\"$id\"$onchange>";
	
	foreach($items as $item){
	
		$row = array();
		if (is_array($item))
			$row = $item;
		else{
			$row[0] = $item;
			$row[1] = $item;
		}
	
		$str .= '<option value="' . $row[0] . '"';
			
		if ($row[0] == $matchItem){
			$str .= " selected";
			$matched = true;
		}
		
		$str .= '>' . htmlentities($row[1]) . '</option>';
	}
	
	if ($none == true){
		$str .= '<option value="-1"';
	
		if (!$matched)
			$str .= ' selected';
			
		$str .= ">$nonetxt</option>";
	}

	$str .= '</select>';
	
	return $str;
}

?>