<?php
/*
    Copyright (C) 2007 Dustin Spicuzza <dustin@virtualroadside.com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

	header("Cache-Control: no-cache, must-revalidate");

	echo "<pre>";
	
	include "config.php";

	$exec = "";

	$type = get_post_var('type');
	$offensive = get_post_var('offensive');
	$file = get_post_var('file');
	$short = get_post_var('short');
	
	switch ($type){
		case "Show Cow Bubbles":
			$exec = "$rndsay ";
			break;
		case "Normal":
		default:
			$exec = "$fortune ";
			break;
	}
	
	if (!is_executable(trim($exec))){
		echo htmlentities($exec) . ' either does not exist or is not executable!';
		die;
	}
	
	$use_offensive = false;
	switch ($offensive){
		case 'all':
			$exec .= '-a ';
			$use_offensive = true;
			break;
		case 'offensive':
			$exec .= '-o ';
			$use_offensive = true;
			break;
		case 'non-offensive':
		default:
			break;
	}
	
	switch ($short){
		case 'Short':
			$exec .= '-s ';
			break;
		case 'Long':
			$exec .= '-l ';
			break;
		case 'Any':
		default:
			break;
	}
	
	//$exec .= '-c ';
	
	if ($use_offensive){
		$_file = realpath("$fortune_dir/off/" . basename($file));
		
		if (!file_exists($_file))
			$_file = realpath("$fortune_dir/" . basename($file));
		
	}else
		$_file = realpath("$fortune_dir/" . basename($file));
	
	if (file_exists($_file))
		$exec .= escapeshellarg($_file);
	
	exec($exec, $output);

	foreach ($output as $out)
		echo htmlentities($out) . "\n";

/* 

	Utility functions 
	
*/
		
function get_post_var($varname){

	if (!isset($_POST[$varname]))
		return "";

	return $_POST[$varname];
}

		
?></pre>
